configuring wireless connection - beginner

Jay Strauss me at heyjay.com
Wed Jun 29 15:02:24 EDT 2005


Please ignore my last messages :)

I think I understand what to do.  I downloaded a couple different 
primary firmwares from: http://linux.junsun.net/intersil-prism/firmware/ 
and:

hydrogen:~/firmware# prism2_srec wlan0 pk010101.hex.1.5.9
srec summary for pk010101.hex.1.5.9
Component: 0x0015 1.1.1 (primary firmware)

Verifying update compatibility and combining data:
Plug record length mismatch (PDR=0x0001): 12 != 16
==> extend from default
OK.

Which I think means it's "OK" to use this upgrade.  Yes?

But:
hydrogen:~/firmware# prism2_srec wlan0 sf010409.hex.txt
srec summary for sf010409.hex.txt
Component: 0x001f 1.4.9 (station firmware)

Verifying update compatibility and combining data:
Incompatible interfaces:
   SREC: role=Actor    variant=1 range=4-4 iface=Primary Firmware-Driver (3)
   card: role=Supplier variant=1 range=1-3 iface=Primary Firmware-Driver (3)
Incompatible update data.

I suspect I'm getting this error because I haven't updated the primary 
firmware yet.  Yes?

Jay

Jouni Malinen wrote:
> On Mon, Jun 27, 2005 at 10:42:50PM -0500, Jay Strauss wrote:
> 
> 
>>At this point I thought I was getting somewhere.  so I changed my
>>/etc/pcmcia/config file and added:
>>
>>device "hostap_pci"
>>   class "network" module "hostap_pci"
> 
> 
> hostap_pci is not used with PC Cards and as such, this should not be in
> cardmgr configuration. If you have a PCI/mini-PCI version of Prism2.5/3
> card, it should be enough to just load the hostap_pci kernel module with
> modprobe. How this done properly depends on the distribution used.
> 
> 
>>hydrogen:~# wpa_supplicant -d -Dhostap -ieth0 -c/etc/wpa_supplicant.conf
> 
> 
> If the interface is still eth0, I would guess you are still using
> Orinoco driver, not Host AP driver.
> 
> 
>>hostap_pci: 0.3.7 - 2005-02-12 (Jouni Malinen <jkmaline at cc.hut.fi>)
>>hostap_pci: Registered netdevice wifi0
> 
> 
>>wifi0: NIC: id=0x8013 v1.0.0
>>wifi0: PRI: id=0x15 v1.0.5
>>wifi0: STA: id=0x1f v1.3.3
> 
> 
>>wifi0: registered netdevice wlan0
> 
> 
> However, this here is looking much more like Host AP driver. Please note
> that the interface name here is wlan0..
> 
> The station firmware version (v1.3.3) you are using is too old for WPA
> support which makes wpa_supplicant refuse to use this card. In other
> words, you would need to download a firmware upgrade to get v1.7.0 or
> newer station firmware.
> 



More information about the HostAP mailing list